Subject: Insurance increase?
From: "Mike" <[email-masked]>
To: "Sue Camp" <[email-masked]>
Date: Wed, 20 Apr 2011 13:00:41 -0400

Sue,
I just received my statement for my insurance on my rental and it looks as though it may have increased.  I received my assessment and the value of the property actually decreased.  I know that costs do increase but based on some of the descriptions of the "products" on the itemized portion of the bill, it looks as though there is some language referring to an automatic increase due to a Insurance to Value Clause.  Can you check into all of this for me?  I would just like a better understanding of what has transpired since the last billing statement.  Let me know if you can help me with this.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]